@echo off
rem Die Installation von Origin 8.1 ist 3 Abschnitte eingeteilt, welche
rem nachfolgend erklrt werden.
rem Abschnitt 1: Origin Installationsdateien werden zuerst in das temp-Verzeichnis kopiert
rem Abschnitt 2: Origin 8.1 SR1 wird installiert
rem Abschnitt 3: Origin wird lizensiert und Lizenzinformationen eingetragen

rem In Origin 8.1 SRo und SR1 knnen den Path - Schalter in der Origin.ini nicht verwenden. 
rem Ein Bug, der in SR2 behoben sein wird. Bitte die nachfolgenden Zeilen ignorieren bzw. erst ab SR2 verwenden.

rem   ACHTUNG: Nach einer Origin Installation fragt Origin beim ersten Start nach dem Anwenderpfad.
rem   Sie knnen dies unterdrcken, wenn Sie in der Datei 'origin.ini' die Sektion [UserFiles] editieren!
rem weitere Infos zur Silent Install unter folgendem Link:
rem http://wiki.originlab.com/~originla/wiki/index.php?title=Silent_Install
rem
@echo=
@echo=
                                                              
rem Abschnitt 1:
echo ###############################################################
echo ############  Origin Install-Files werden kopiert  ############
echo ###############################################################
xcopy /q /y /i /c "%~dp0\InstallFiles\*.*" %temp%\Origin8.1\
rem Das Verzeichnis "%~dp0\" stellt Bezug zum aktuellen verzeichnis her,
rem kann aber nach Belieben verndert werden.
rem Zum Beispiel wenn Skript und Install Files getrennt gelagert werden
@echo=

rem Abschnitt 2:
rem Hier werden jetzt die .iss Datei und das Log-File spezifiziert
set record=%temp%\Origin8.1\setupnonf.iss
set logfile=%temp%\Origin8.1\install.log
@echo=


echo ###############################################################
echo ################  Origin 8.1 wird installiert  ################
echo ###############################################################
rem ber folgenden Befehl wird die Installationsroutine aufgefrufen:
"%temp%\Origin8.1\Setup.exe" -s -f1"%record%" -f2"%logfile%"
@echo=

rem Abschnitt 3:
echo ###############################################################
echo #################  Origin 8.1 wird lizensiert  ################
echo ###############################################################
set destination=C:\Programme\OriginLab\Origin81\
set licdestination=%ALLUSERSPROFILE%\Anwendungsdaten\
md "%licdestination%OriginLab
md "%licdestination%OriginLab\81
md "%licdestination%OriginLab\81\License"

rem Origin 8 Lizenzdatei wird nach All Users kopiert
echo Kopiere Lizenzdateien
copy /y "%temp%\Origin8.1\regidnonf.lic" "%licdestination%OriginLab\81\regid.lic"
copy /y "%temp%\Origin8.1\orglab.lic" "%licdestination%OriginLab\81\License\orglab.lic"


rem Die Origin.ini Datei beinhaltet Informationen zum Anwenderpfad und erscheinenden Registrierungsdialogen
rem Eventuell muss die origin.ini nach einer Installation ausgetauscht werden
echo Kopiere Origin Initialisierungsdatei
copy /y "%temp%\Origin8.1\originnonf.ini" "%destination%\origin.ini"

echo ###############################################################
echo ##################       cleanup temp       ###################
echo ###############################################################
rmdir /S /Q %temp%\Origin8.1

rem Nun folgt die MessageBox mit der Besttigung der erolgreichen Installation
echo MsgBox "Origin 8.1 erfolgreich installiert", VbInformation + VbOKOnly, "Installationsbericht" >%TEMP%\os.vbs
goto end
 
:end
REM wollen Sie ohne Messagebox installieren, dann nchste Zeile kommentieren
START %TEMP%\os.vbs
